POST /sites/$site/media/$media_ID
Edit basic information about a media item.
Resource Information
| Method | POST |
|---|---|
| URL | https://public-api.wordpress.com/rest/v1.1/sites/$site/media/$media_ID |
| Requires authentication? | Yes |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | Site ID or domain |
| $media_ID | (int) | The ID of the media item |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| meta | (string) | Optional. Loads data from the endpoints found in the 'meta' part of the response. Comma-separated list. Example: meta=site,likes |
| fields | (string) | Optional. Returns specified fields only. Comma-separated list. Example: fields=ID,title |
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| parent_id | (int) | ID of the post this media is attached to |
| title | (string) | The file name. |
| caption | (string) | File caption. |
| description | (html) | Description of the file. |
| alt | (string) | Alternative text for image files. |
| rating | (string) | Video only. Video rating. |
| display_embed | (string) | Video only. Whether to share or not the video. |
| allow_download | (string) | Video only. Whether the video can be downloaded or not. |
| privacy_setting | (int) | Video only. The privacy level for the video. |
| artist | (string) | Audio Only. Artist metadata for the audio track. |
| album | (string) | Audio Only. Album metadata for the audio track. |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The ID of the media item |
| date | (iso 8601 datetime) | The date the media was uploaded |
| post_ID | (int) | ID of the post this media is attached to |
| author_ID | (int) | ID of the user who uploaded the media |
| URL | (string) | URL to the file |
| guid | (string) | Unique identifier |
| file | (string) | File name |
| extension | (string) | File extension |
| mime_type | (string) | File mime type |
| title | (string) | File name |
| caption | (string) | User provided caption of the file |
| description | (string) | Description of the file |
| alt | (string) | Alternative text for image files. |
| thumbnails | (object) | Media item thumbnail URL options |
| height | (int) | (Image & video only) Height of the media item |
| width | (int) | (Image & video only) Width of the media item |
| length | (int) | (Video & audio only) Duration of the media item, in seconds |
| exif | (array) | (Image & audio only) Exif (meta) information about the media item |
| rating | (string) | (Video only) VideoPress rating of the video |
| display_embed | (string) | Video only. Whether to share or not the video. |
| allow_download | (string) | Video only. Whether the video can be downloaded or not. |
| privacy_setting | (int) | Video only. The privacy level for the video. |
| videopress_guid | (string) | (Video only) VideoPress GUID of the video when uploaded on a blog with VideoPress |
| videopress_processing_done | (bool) | (Video only) If the video is uploaded on a blog with VideoPress, this will return the status of processing on the video. |
Resource Errors
This endpoint does not return any errors.
Example
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'title=Updated Title' \ 'https://public-api.wordpress.com/rest/v1.1/sites/82974409/media/446'
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' =>
http_build_query( array (
'title' => 'Updated Title',
)),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1.1/sites/82974409/media/446',
false,
$context
);
$response = json_decode( $response );
?>